Get Build
Get a build
Retrieve a build.
Request
URI
GET
https://api.example.local/v3/builds/{guid}
COPY
Path Parameters
string
guid
Required
The unique identifier for the resource
Responses
200
Successfully retrieved build
Returns
Build
of type(s)
application/json
This response body class contains all of the following:
BaseSchema
{
"guid": "string",
"created_at": "string",
"updated_at": "string",
"state": "string",
"staging_memory_in_mb": 0,
"staging_disk_in_mb": 0,
"staging_log_rate_limit_bytes_per_second": 0,
"error": "string",
"lifecycle": {
"type": "string",
"data": {
"buildpacks": [
"string"
],
"stack": "string",
"credentials": {
"credentials": {
"username": "string",
"password": "string",
"token": "string"
}
}
}
},
"checksum": {
"type": "string",
"value": "string"
},
"metadata": {
"labels": {
"labels": "string"
},
"annotations": {
"annotations": "string"
}
},
"relationships": {},
"package": {
"guid": "string"
},
"droplet": {
"guid": "string"
},
"created_by": {
"guid": "string",
"name": "string",
"email": "string"
},
"links": {
"self": {
"href": "string",
"method": "string"
},
"app": {
"href": "string",
"method": "string"
},
"droplet": {
"href": "string",
"method": "string"
}
}
}
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/v3/builds/{guid}